// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.14.0
// source: settlement.proto

package protosettlement

import (
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/vajar_minigame/proto_go/gen/common"
	_ "gitlab.com/vajar_minigame/proto_go/gen/protoresources"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type Settlement struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name           string                 `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Id             int64                  `protobuf:"varint,2,opt,name=id,proto3" json:"id,omitempty"`
	PlayerID       int64                  `protobuf:"varint,3,opt,name=playerID,proto3" json:"playerID,omitempty"`
	Pos            *Position              `protobuf:"bytes,4,opt,name=pos,proto3" json:"pos,omitempty"`
	Depot          *Depot                 `protobuf:"bytes,5,opt,name=depot,proto3" json:"depot,omitempty"`
	Buildings      []*Building            `protobuf:"bytes,6,rep,name=buildings,proto3" json:"buildings,omitempty"`
	BuildQueue     []*BuildQueueItem      `protobuf:"bytes,7,rep,name=buildQueue,proto3" json:"buildQueue,omitempty"`
	BuildQueueSize int64                  `protobuf:"varint,8,opt,name=buildQueueSize,proto3" json:"buildQueueSize,omitempty"`
	LastUpdate     *timestamppb.Timestamp `protobuf:"bytes,9,opt,name=last_update,json=lastUpdate,proto3" json:"last_update,omitempty"`
}

func (x *Settlement) Reset() {
	*x = Settlement{}
	if protoimpl.UnsafeEnabled {
		mi := &file_settlement_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Settlement) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Settlement) ProtoMessage() {}

func (x *Settlement) ProtoReflect() protoreflect.Message {
	mi := &file_settlement_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Settlement.ProtoReflect.Descriptor instead.
func (*Settlement) Descriptor() ([]byte, []int) {
	return file_settlement_proto_rawDescGZIP(), []int{0}
}

func (x *Settlement) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Settlement) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Settlement) GetPlayerID() int64 {
	if x != nil {
		return x.PlayerID
	}
	return 0
}

func (x *Settlement) GetPos() *Position {
	if x != nil {
		return x.Pos
	}
	return nil
}

func (x *Settlement) GetDepot() *Depot {
	if x != nil {
		return x.Depot
	}
	return nil
}

func (x *Settlement) GetBuildings() []*Building {
	if x != nil {
		return x.Buildings
	}
	return nil
}

func (x *Settlement) GetBuildQueue() []*BuildQueueItem {
	if x != nil {
		return x.BuildQueue
	}
	return nil
}

func (x *Settlement) GetBuildQueueSize() int64 {
	if x != nil {
		return x.BuildQueueSize
	}
	return 0
}

func (x *Settlement) GetLastUpdate() *timestamppb.Timestamp {
	if x != nil {
		return x.LastUpdate
	}
	return nil
}

type BuildQueueItem struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	BuildingId int64                  `protobuf:"varint,1,opt,name=buildingId,proto3" json:"buildingId,omitempty"`
	BuildStart *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=build_start,json=buildStart,proto3" json:"build_start,omitempty"`
	BuildEnd   *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=build_end,json=buildEnd,proto3" json:"build_end,omitempty"`
}

func (x *BuildQueueItem) Reset() {
	*x = BuildQueueItem{}
	if protoimpl.UnsafeEnabled {
		mi := &file_settlement_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildQueueItem) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildQueueItem) ProtoMessage() {}

func (x *BuildQueueItem) ProtoReflect() protoreflect.Message {
	mi := &file_settlement_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildQueueItem.ProtoReflect.Descriptor instead.
func (*BuildQueueItem) Descriptor() ([]byte, []int) {
	return file_settlement_proto_rawDescGZIP(), []int{1}
}

func (x *BuildQueueItem) GetBuildingId() int64 {
	if x != nil {
		return x.BuildingId
	}
	return 0
}

func (x *BuildQueueItem) GetBuildStart() *timestamppb.Timestamp {
	if x != nil {
		return x.BuildStart
	}
	return nil
}

func (x *BuildQueueItem) GetBuildEnd() *timestamppb.Timestamp {
	if x != nil {
		return x.BuildEnd
	}
	return nil
}

type Position struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	X int64 `protobuf:"varint,1,opt,name=x,proto3" json:"x,omitempty"`
	Y int64 `protobuf:"varint,2,opt,name=y,proto3" json:"y,omitempty"`
}

func (x *Position) Reset() {
	*x = Position{}
	if protoimpl.UnsafeEnabled {
		mi := &file_settlement_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Position) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Position) ProtoMessage() {}

func (x *Position) ProtoReflect() protoreflect.Message {
	mi := &file_settlement_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Position.ProtoReflect.Descriptor instead.
func (*Position) Descriptor() ([]byte, []int) {
	return file_settlement_proto_rawDescGZIP(), []int{2}
}

func (x *Position) GetX() int64 {
	if x != nil {
		return x.X
	}
	return 0
}

func (x *Position) GetY() int64 {
	if x != nil {
		return x.Y
	}
	return 0
}

type Depot struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Store []*ResourceStorage `protobuf:"bytes,1,rep,name=Store,proto3" json:"Store,omitempty"`
}

func (x *Depot) Reset() {
	*x = Depot{}
	if protoimpl.UnsafeEnabled {
		mi := &file_settlement_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Depot) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Depot) ProtoMessage() {}

func (x *Depot) ProtoReflect() protoreflect.Message {
	mi := &file_settlement_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Depot.ProtoReflect.Descriptor instead.
func (*Depot) Descriptor() ([]byte, []int) {
	return file_settlement_proto_rawDescGZIP(), []int{3}
}

func (x *Depot) GetStore() []*ResourceStorage {
	if x != nil {
		return x.Store
	}
	return nil
}

type ResourceStorage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Capacity      int64 `protobuf:"varint,1,opt,name=capacity,proto3" json:"capacity,omitempty"`
	CurrentStored int64 `protobuf:"varint,2,opt,name=currentStored,proto3" json:"currentStored,omitempty"`
}

func (x *ResourceStorage) Reset() {
	*x = ResourceStorage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_settlement_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResourceStorage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourceStorage) ProtoMessage() {}

func (x *ResourceStorage) ProtoReflect() protoreflect.Message {
	mi := &file_settlement_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourceStorage.ProtoReflect.Descriptor instead.
func (*ResourceStorage) Descriptor() ([]byte, []int) {
	return file_settlement_proto_rawDescGZIP(), []int{4}
}

func (x *ResourceStorage) GetCapacity() int64 {
	if x != nil {
		return x.Capacity
	}
	return 0
}

func (x *ResourceStorage) GetCurrentStored() int64 {
	if x != nil {
		return x.CurrentStored
	}
	return 0
}

type SettlementList struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Settlements []*Settlement `protobuf:"bytes,1,rep,name=settlements,proto3" json:"settlements,omitempty"`
}

func (x *SettlementList) Reset() {
	*x = SettlementList{}
	if protoimpl.UnsafeEnabled {
		mi := &file_settlement_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SettlementList) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SettlementList) ProtoMessage() {}

func (x *SettlementList) ProtoReflect() protoreflect.Message {
	mi := &file_settlement_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SettlementList.ProtoReflect.Descriptor instead.
func (*SettlementList) Descriptor() ([]byte, []int) {
	return file_settlement_proto_rawDescGZIP(), []int{5}
}

func (x *SettlementList) GetSettlements() []*Settlement {
	if x != nil {
		return x.Settlements
	}
	return nil
}

type Building struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             int64  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	BuildDef       string `protobuf:"bytes,3,opt,name=buildDef,proto3" json:"buildDef,omitempty"`
	InConstruction bool   `protobuf:"varint,4,opt,name=inConstruction,proto3" json:"inConstruction,omitempty"`
	Hibernated     bool   `protobuf:"varint,5,opt,name=hibernated,proto3" json:"hibernated,omitempty"`
}

func (x *Building) Reset() {
	*x = Building{}
	if protoimpl.UnsafeEnabled {
		mi := &file_settlement_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Building) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Building) ProtoMessage() {}

func (x *Building) ProtoReflect() protoreflect.Message {
	mi := &file_settlement_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Building.ProtoReflect.Descriptor instead.
func (*Building) Descriptor() ([]byte, []int) {
	return file_settlement_proto_rawDescGZIP(), []int{6}
}

func (x *Building) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Building) GetBuildDef() string {
	if x != nil {
		return x.BuildDef
	}
	return ""
}

func (x *Building) GetInConstruction() bool {
	if x != nil {
		return x.InConstruction
	}
	return false
}

func (x *Building) GetHibernated() bool {
	if x != nil {
		return x.Hibernated
	}
	return false
}

type BuildBuildingCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SettlementId *common.SettlementId `protobuf:"bytes,1,opt,name=settlementId,proto3" json:"settlementId,omitempty"`
	BuildDef     string               `protobuf:"bytes,2,opt,name=buildDef,proto3" json:"buildDef,omitempty"`
}

func (x *BuildBuildingCall) Reset() {
	*x = BuildBuildingCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_settlement_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildBuildingCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildBuildingCall) ProtoMessage() {}

func (x *BuildBuildingCall) ProtoReflect() protoreflect.Message {
	mi := &file_settlement_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildBuildingCall.ProtoReflect.Descriptor instead.
func (*BuildBuildingCall) Descriptor() ([]byte, []int) {
	return file_settlement_proto_rawDescGZIP(), []int{7}
}

func (x *BuildBuildingCall) GetSettlementId() *common.SettlementId {
	if x != nil {
		return x.SettlementId
	}
	return nil
}

func (x *BuildBuildingCall) GetBuildDef() string {
	if x != nil {
		return x.BuildDef
	}
	return ""
}

type UpgradeBuildingCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SettlementId *common.SettlementId `protobuf:"bytes,1,opt,name=settlementId,proto3" json:"settlementId,omitempty"`
	BuildingId   *common.BuildingId   `protobuf:"bytes,2,opt,name=buildingId,proto3" json:"buildingId,omitempty"`
}

func (x *UpgradeBuildingCall) Reset() {
	*x = UpgradeBuildingCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_settlement_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpgradeBuildingCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpgradeBuildingCall) ProtoMessage() {}

func (x *UpgradeBuildingCall) ProtoReflect() protoreflect.Message {
	mi := &file_settlement_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpgradeBuildingCall.ProtoReflect.Descriptor instead.
func (*UpgradeBuildingCall) Descriptor() ([]byte, []int) {
	return file_settlement_proto_rawDescGZIP(), []int{8}
}

func (x *UpgradeBuildingCall) GetSettlementId() *common.SettlementId {
	if x != nil {
		return x.SettlementId
	}
	return nil
}

func (x *UpgradeBuildingCall) GetBuildingId() *common.BuildingId {
	if x != nil {
		return x.BuildingId
	}
	return nil
}

var File_settlement_proto protoreflect.FileDescriptor

var file_settlement_proto_rawDesc = []byte{
	0x0a, 0x10, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x0f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x0f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x22, 0x86, 0x03, 0x0a, 0x0a, 0x53, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65,
	0x6e, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x6c, 0x61, 0x79, 0x65, 0x72,
	0x49, 0x44, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x70, 0x6c, 0x61, 0x79, 0x65, 0x72,
	0x49, 0x44, 0x12, 0x2b, 0x0a, 0x03, 0x70, 0x6f, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x19, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e,
	0x74, 0x2e, 0x50, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x03, 0x70, 0x6f, 0x73, 0x12,
	0x2c, 0x0a, 0x05, 0x64, 0x65, 0x70, 0x6f, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74,
	0x2e, 0x44, 0x65, 0x70, 0x6f, 0x74, 0x52, 0x05, 0x64, 0x65, 0x70, 0x6f, 0x74, 0x12, 0x37, 0x0a,
	0x09, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x19, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65,
	0x6e, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67, 0x52, 0x09, 0x62, 0x75, 0x69,
	0x6c, 0x64, 0x69, 0x6e, 0x67, 0x73, 0x12, 0x3f, 0x0a, 0x0a, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x51,
	0x75, 0x65, 0x75, 0x65, 0x18, 0x07, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x51, 0x75, 0x65, 0x75, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x0a, 0x62, 0x75, 0x69,
	0x6c, 0x64, 0x51, 0x75, 0x65, 0x75, 0x65, 0x12, 0x26, 0x0a, 0x0e, 0x62, 0x75, 0x69, 0x6c, 0x64,
	0x51, 0x75, 0x65, 0x75, 0x65, 0x53, 0x69, 0x7a, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x0e, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x51, 0x75, 0x65, 0x75, 0x65, 0x53, 0x69, 0x7a, 0x65, 0x12,
	0x3b, 0x0a, 0x0b, 0x6c, 0x61, 0x73, 0x74, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18, 0x09,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x52, 0x0a, 0x6c, 0x61, 0x73, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x22, 0xa6, 0x01, 0x0a,
	0x0e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x51, 0x75, 0x65, 0x75, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x12,
	0x1e, 0x0a, 0x0a, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67, 0x49, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x0a, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67, 0x49, 0x64, 0x12,
	0x3b, 0x0a, 0x0b, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x52, 0x0a, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x53, 0x74, 0x61, 0x72, 0x74, 0x12, 0x37, 0x0a, 0x09,
	0x62, 0x75, 0x69, 0x6c, 0x64, 0x5f, 0x65, 0x6e, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x08, 0x62, 0x75, 0x69,
	0x6c, 0x64, 0x45, 0x6e, 0x64, 0x22, 0x26, 0x0a, 0x08, 0x50, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x0c, 0x0a, 0x01, 0x78, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x01, 0x78, 0x12,
	0x0c, 0x0a, 0x01, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x01, 0x79, 0x22, 0x3f, 0x0a,
	0x05, 0x44, 0x65, 0x70, 0x6f, 0x74, 0x12, 0x36, 0x0a, 0x05, 0x53, 0x74, 0x6f, 0x72, 0x65, 0x18,
	0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x65, 0x74,
	0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x52, 0x05, 0x53, 0x74, 0x6f, 0x72, 0x65, 0x22, 0x53,
	0x0a, 0x0f, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x53, 0x74, 0x6f, 0x72, 0x61, 0x67,
	0x65, 0x12, 0x1a, 0x0a, 0x08, 0x63, 0x61, 0x70, 0x61, 0x63, 0x69, 0x74, 0x79, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x08, 0x63, 0x61, 0x70, 0x61, 0x63, 0x69, 0x74, 0x79, 0x12, 0x24, 0x0a,
	0x0d, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x6f, 0x72, 0x65, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x0d, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x6f,
	0x72, 0x65, 0x64, 0x22, 0x4f, 0x0a, 0x0e, 0x53, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e,
	0x74, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x3d, 0x0a, 0x0b, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x65, 0x74,
	0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x0b, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x73, 0x22, 0x7e, 0x0a, 0x08, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x1a, 0x0a, 0x08, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x44, 0x65, 0x66, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x44, 0x65, 0x66, 0x12, 0x26, 0x0a, 0x0e,
	0x69, 0x6e, 0x43, 0x6f, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x0e, 0x69, 0x6e, 0x43, 0x6f, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1e, 0x0a, 0x0a, 0x68, 0x69, 0x62, 0x65, 0x72, 0x6e, 0x61, 0x74,
	0x65, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x68, 0x69, 0x62, 0x65, 0x72, 0x6e,
	0x61, 0x74, 0x65, 0x64, 0x22, 0x6e, 0x0a, 0x11, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x69, 0x6e, 0x67, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x3d, 0x0a, 0x0c, 0x73, 0x65, 0x74,
	0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x19, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65,
	0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x52, 0x0c, 0x73, 0x65, 0x74, 0x74,
	0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x62, 0x75, 0x69, 0x6c,
	0x64, 0x44, 0x65, 0x66, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x62, 0x75, 0x69, 0x6c,
	0x64, 0x44, 0x65, 0x66, 0x22, 0x8d, 0x01, 0x0a, 0x13, 0x55, 0x70, 0x67, 0x72, 0x61, 0x64, 0x65,
	0x42, 0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x3d, 0x0a, 0x0c,
	0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x19, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x53, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x52, 0x0c, 0x73,
	0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x37, 0x0a, 0x0a, 0x62,
	0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x17, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x42, 0x75,
	0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67, 0x49, 0x64, 0x52, 0x0a, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x69,
	0x6e, 0x67, 0x49, 0x64, 0x32, 0xcd, 0x04, 0x0a, 0x12, 0x53, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x12, 0x4b, 0x0a, 0x0d, 0x41,
	0x64, 0x64, 0x53, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x1b, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x53,
	0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x1a, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x65, 0x74, 0x74,
	0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x22, 0x00, 0x12, 0x4f, 0x0a, 0x11, 0x41, 0x64, 0x64, 0x54,
	0x65, 0x73, 0x74, 0x53, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x1b, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e,
	0x53, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x1a, 0x1b, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x65, 0x74,
	0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x22, 0x00, 0x12, 0x4d, 0x0a, 0x11, 0x47, 0x65, 0x74,
	0x53, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x42, 0x79, 0x49, 0x44, 0x12, 0x19,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x74,
	0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x1a, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x65, 0x74, 0x74,
	0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x22, 0x00, 0x12, 0x50, 0x0a, 0x16, 0x47, 0x65, 0x74, 0x53,
	0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x79, 0x55, 0x73, 0x65, 0x72,
	0x49, 0x44, 0x12, 0x13, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x1a, 0x1f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73,
	0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x65, 0x74, 0x74, 0x6c, 0x65,
	0x6d, 0x65, 0x6e, 0x74, 0x4c, 0x69, 0x73, 0x74, 0x22, 0x00, 0x12, 0x4c, 0x0a, 0x10, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x53, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x19,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x74,
	0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x1a, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x00, 0x12, 0x52, 0x0a, 0x0d, 0x42, 0x75, 0x69, 0x6c,
	0x64, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67, 0x12, 0x22, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c,
	0x64, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67, 0x43, 0x61, 0x6c, 0x6c, 0x1a, 0x1b, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x00, 0x12, 0x56, 0x0a, 0x0f,
	0x55, 0x70, 0x67, 0x72, 0x61, 0x64, 0x65, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e, 0x67, 0x12,
	0x24, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e,
	0x74, 0x2e, 0x55, 0x70, 0x67, 0x72, 0x61, 0x64, 0x65, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x69, 0x6e,
	0x67, 0x43, 0x61, 0x6c, 0x6c, 0x1a, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x53, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x22, 0x00, 0x42, 0x38, 0x5a, 0x36, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x76, 0x61, 0x6a, 0x61, 0x72, 0x5f, 0x6d, 0x69, 0x6e, 0x69, 0x67, 0x61, 0x6d,
	0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x5f, 0x67, 0x6f, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x65, 0x74, 0x74, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_settlement_proto_rawDescOnce sync.Once
	file_settlement_proto_rawDescData = file_settlement_proto_rawDesc
)

func file_settlement_proto_rawDescGZIP() []byte {
	file_settlement_proto_rawDescOnce.Do(func() {
		file_settlement_proto_rawDescData = protoimpl.X.CompressGZIP(file_settlement_proto_rawDescData)
	})
	return file_settlement_proto_rawDescData
}

var file_settlement_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_settlement_proto_goTypes = []interface{}{
	(*Settlement)(nil),            // 0: protosettlement.Settlement
	(*BuildQueueItem)(nil),        // 1: protosettlement.BuildQueueItem
	(*Position)(nil),              // 2: protosettlement.Position
	(*Depot)(nil),                 // 3: protosettlement.Depot
	(*ResourceStorage)(nil),       // 4: protosettlement.ResourceStorage
	(*SettlementList)(nil),        // 5: protosettlement.SettlementList
	(*Building)(nil),              // 6: protosettlement.Building
	(*BuildBuildingCall)(nil),     // 7: protosettlement.BuildBuildingCall
	(*UpgradeBuildingCall)(nil),   // 8: protosettlement.UpgradeBuildingCall
	(*timestamppb.Timestamp)(nil), // 9: google.protobuf.Timestamp
	(*common.SettlementId)(nil),   // 10: protocommon.SettlementId
	(*common.BuildingId)(nil),     // 11: protocommon.BuildingId
	(*common.UserId)(nil),         // 12: protocommon.UserId
	(*common.ResponseStatus)(nil), // 13: protocommon.ResponseStatus
}
var file_settlement_proto_depIdxs = []int32{
	2,  // 0: protosettlement.Settlement.pos:type_name -> protosettlement.Position
	3,  // 1: protosettlement.Settlement.depot:type_name -> protosettlement.Depot
	6,  // 2: protosettlement.Settlement.buildings:type_name -> protosettlement.Building
	1,  // 3: protosettlement.Settlement.buildQueue:type_name -> protosettlement.BuildQueueItem
	9,  // 4: protosettlement.Settlement.last_update:type_name -> google.protobuf.Timestamp
	9,  // 5: protosettlement.BuildQueueItem.build_start:type_name -> google.protobuf.Timestamp
	9,  // 6: protosettlement.BuildQueueItem.build_end:type_name -> google.protobuf.Timestamp
	4,  // 7: protosettlement.Depot.Store:type_name -> protosettlement.ResourceStorage
	0,  // 8: protosettlement.SettlementList.settlements:type_name -> protosettlement.Settlement
	10, // 9: protosettlement.BuildBuildingCall.settlementId:type_name -> protocommon.SettlementId
	10, // 10: protosettlement.UpgradeBuildingCall.settlementId:type_name -> protocommon.SettlementId
	11, // 11: protosettlement.UpgradeBuildingCall.buildingId:type_name -> protocommon.BuildingId
	0,  // 12: protosettlement.SettlementServices.AddSettlement:input_type -> protosettlement.Settlement
	0,  // 13: protosettlement.SettlementServices.AddTestSettlement:input_type -> protosettlement.Settlement
	10, // 14: protosettlement.SettlementServices.GetSettlementByID:input_type -> protocommon.SettlementId
	12, // 15: protosettlement.SettlementServices.GetSettlementsByUserID:input_type -> protocommon.UserId
	10, // 16: protosettlement.SettlementServices.DeleteSettlement:input_type -> protocommon.SettlementId
	7,  // 17: protosettlement.SettlementServices.BuildBuilding:input_type -> protosettlement.BuildBuildingCall
	8,  // 18: protosettlement.SettlementServices.UpgradeBuilding:input_type -> protosettlement.UpgradeBuildingCall
	0,  // 19: protosettlement.SettlementServices.AddSettlement:output_type -> protosettlement.Settlement
	0,  // 20: protosettlement.SettlementServices.AddTestSettlement:output_type -> protosettlement.Settlement
	0,  // 21: protosettlement.SettlementServices.GetSettlementByID:output_type -> protosettlement.Settlement
	5,  // 22: protosettlement.SettlementServices.GetSettlementsByUserID:output_type -> protosettlement.SettlementList
	13, // 23: protosettlement.SettlementServices.DeleteSettlement:output_type -> protocommon.ResponseStatus
	13, // 24: protosettlement.SettlementServices.BuildBuilding:output_type -> protocommon.ResponseStatus
	13, // 25: protosettlement.SettlementServices.UpgradeBuilding:output_type -> protocommon.ResponseStatus
	19, // [19:26] is the sub-list for method output_type
	12, // [12:19] is the sub-list for method input_type
	12, // [12:12] is the sub-list for extension type_name
	12, // [12:12] is the sub-list for extension extendee
	0,  // [0:12] is the sub-list for field type_name
}

func init() { file_settlement_proto_init() }
func file_settlement_proto_init() {
	if File_settlement_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_settlement_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Settlement); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_settlement_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildQueueItem); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_settlement_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Position); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_settlement_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Depot); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_settlement_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResourceStorage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_settlement_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SettlementList); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_settlement_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Building); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_settlement_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildBuildingCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_settlement_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpgradeBuildingCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_settlement_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_settlement_proto_goTypes,
		DependencyIndexes: file_settlement_proto_depIdxs,
		MessageInfos:      file_settlement_proto_msgTypes,
	}.Build()
	File_settlement_proto = out.File
	file_settlement_proto_rawDesc = nil
	file_settlement_proto_goTypes = nil
	file_settlement_proto_depIdxs = nil
}
